source("C:/CT Toolkit/CT_Toolkit.R")

easy_rpart_results <- easy_rpart(training_data = "C:/CT Toolkit/Training/BS_surface_seds.csv",
                                 separ=",",
                                 target_var = list("Group", c("Mar", "Int", "Ext")),
                                 descriptive_vars = c("I", "II", "III", "IV"),
                                 scale_vars=FALSE,
                                 descvar_units = "%",
                                 split_criterion = "information",
                                 class_method = "CART",
                                 prune_method = "both",
                                 tree_number = 300,
                                 rf_vars = "auto",
                                 cv_method = "repeatedcv",
                                 folds=10,
                                 replicates=5,
                                 train_percent=70,
                                 tuning_metric="Kappa",
                                 predictions=TRUE,
                                 prediction_datasets="C:/CT Toolkit/Prediction",
                                 extension="\\.csv$",
                                 plot_predictions = TRUE,
                                 prediction_axis = c("Age", "SpSIC"),
                                 x_lab="Age (cal kyr BP)",
                                 y_lab=expression(P[III]*IP[25]*"-derived SpSIC (%)"),
                                 y_limit=c(-20, 100),
                                 plot_cols=c("red", "orange", "green"),
                                 export_results=TRUE,
                                 export_plots=TRUE,
                                 width=10,
                                 height=10,
                                 export_path="C:/CT Toolkit/Results",
                                 seed_val=42)

runcor_results <- runcor_analysis(data_path="C:/CT Toolkit/Prediction/KA11.csv",
                                  separ=",",
                                  cor_vars=c("IP25", "IPSO25"),
                                  runcor_permutations="all",
                                  cor_method="pearson",
                                  confid_lvl=0.95,
                                  cor_window=9,
                                  move_by=1,
                                  cor_align="center",
                                  output_vars=c("Age", "HBI_III", "HBI_IV", "SpSIC"),
                                  x_var="Age",
                                  x_lab="Age (cal kyr BP)",
                                  y_limit=c(-1, 1),
                                  pval_corrections = "bonferroni",
                                  pval_labels = "auto",
                                  plot_cols=c("red", "orange", "darkgreen", "black"),
                                  chgpt_methods = "CP3O",
                                  export_results=TRUE,
                                  export_path="C:/CT Toolkit/Results",
                                  print_plots=TRUE,
                                  export_plots=TRUE,
                                  width=10,
                                  height=7)
